""" A collection of Splunk default source type """
# it contains all default source types in 7.2.0~8.0.0

SPLUNK_DEFAULT_SOURCE_TYPE = [
    "catalina",
    "backup_file",
    "source::.../var/log/splunk/(web|report)_service(-\\d+)?.log(.\\d+)?",
    "breakable_text",
    "source::.../splunkd.log(.\\d+)?",
    "source::.../token_input_metrics.log(.\\d+)?",
    "tcp",
    "source::.../var/log/boot.log(.\\d+)?",
    "db2_diag",
    "source::.../var/log/dmesg(.\\d+)?",
    "splunk_directory_monitor",
    "cups_access",
    "splunkd_stdout",
    "preprocess-bzip",
    "source::.../var/log/splunk/searches.log",
    "web",
    "manpage",
    "source::.../var/log/splunk/splunkd_stderr.log(.\\d+)?",
    "preprocess-Z",
    "access_combined",
    "_json",
    "mysqld_error",
    "splunk_python",
    "source::.../var/log/anaconda.log(.\\d+)?",
    "wmi",
    "splunkd_misc",
    "splunkd_ui_access",
    "apache_error",
    "source::.../private/var/log/system.log(.\\d+)?",
    "token_input_metrics",
    "source::...((.(bak|old))|,v|~|#)",
    "osx_crashreporter",
    "source::.../(readme|README)...",
    "source::.../var/log/splunk/scheduler.log(.\\d+)?",
    "source::.../mysql.log(.\\d+)?",
    "source::.../var/log/splunk/searchhistory.log(.\\d+)?",
    "exim_main",
    "source::....bz2?(.\\d+)?",
    "source::.../var/log/crashreporter.log(.\\d+)?",
    "linux_secure",
    "rule::access_combined_wcookie",
    "source::.../splunkd_access.log(.\\d+)?",
    "psv",
    "(?i)source::....zip(.\\d+)?",
    "django_access",
    "source::.../var/log/splunk/health.log(.\\d+)?",
    "fileTrackerCrcLog",
    "osx_crash_log",
    "source_archive",
    "rpmpkgs",
    "source::.../var/log/splunk/intentions.log(.\\d+)?",
    "wtmp",
    "websphere_core",
    "source::....(0t|a|ali|asa|au|bmp|cg|cgi|class|d|dat|deb|del|dot|dvi|dylib|elc|eps|exe|ftn|gif|hlp|hqx|hs|icns|ico|inc|iso|jame|jin|jpeg|jpg|kml|la|lhs|lib|lo|lock|mcp|mid|mp3|mpg|msf|nib|o|obj|odt|ogg|ook|opt|os|pal|pbm|pdf|pem|pgm|plo|png|po|pod|pp|ppd|ppm|ppt|prc|ps|psd|psym|pyc|pyd|rast|rb|rde|rdf|rdr|rgb|ro|rpm|rsrc|so|ss|stg|strings|tdt|tif|tiff|tk|uue|vhd|xbm|xlb|xls|xlw)",
    "websphere_activity",
    "source::WinEventLog...",
    "source::....(?i)(evt|evtx)(.\\d+)?",
    "snort",
    "source::....(cache|class|cxx|dylib|jar|lo|xslt|md5|rpm|deb|iso|vim)",
    "access_common",
    "log4net_xml",
    "source::.../var/log/monthly.out(.\\d+)?",
    "clavister",
    "preprocess-winevt",
    "asterisk_cdr",
    "WinNetMonMk",
    "rule::exim_main",
    "source::WMI...",
    "source::.../var/log/splunk/mongod.log(.\\d+)?",
    "source::.../var/log/cups/access_log(.\\d+)?",
    "source::.../var/log/sa/sar\\d+",
    "splunk_resource_usage",
    "__singleline",
    "syslog",
    "ssl_error",
    "stash_new",
    "anaconda",
    "source::.../var/log/splunk/migration.log.*",
    "source::.../var/log/httpd/error_log(.\\d+)?",
    "ftp",
    "asterisk_messages",
    "too_small",
    "mysql_slow",
    "splunk_pdfgen",
    "delayedrule::breakable_text",
    "linux_messages_syslog",
    "cisco:asa",
    "source::.../var/log/install.log(.\\d+)?",
    "splunk-blocksignature",
    "exim_reject",
    "source::.../var/log/audit/audit.log(.\\d+)?",
    "source::.../private/var/log/windowserver.log(.\\d+)?",
    "linux_audit",
    "source::...stash",
    "splunk_search_history",
    "source::.../var/log/splunk/remote_searches.log(.\\d+)?",
    "source::.../resource_usage.log(.\\d+)?",
    "source::.../var/log/splunk/python.log(.\\d+)?",
    "splunkd_access",
    "exchange",
    "splunkd_crash_log",
    "django_service",
    "ActiveDirectory",
    "procmail",
    "linux_bootlog",
    "weblogic_stdout",
    "mysqld",
    "source::.../var/log/splunk/splunkd_stdout.log(.\\d+)?",
    "source::.../var/log/httpd/httpd/ssl_error_log(.\\d+)?",
    "delayedrule::syslog",
    "mcollect_stash",
    "http_event_collector_metrics",
    "log4php",
    "source::.../var/log/weekly.out(.\\d+)?",
    "mongod",
    "preprocess-gzip",
    "WinWinHostMon",
    "access_combined_wcookie",
    "source::.../syslog(.\\d+)?",
    "splunk_disk_objects",
    "ignored_type",
    "source::.../var/log/splunk/audit.log(.\\d+)?",
    "source::.../var/log/asl.log(.\\d+)?",
    "generic_single_line",
    "source::.../var/log/splunk/pdfgen.log(.\\d+)?",
    "source::.../var/log/secure.log(.\\d+)?",
    "source::.../var/log/splunk/django_error.log(.\\d+)?",
    "source::....(tbz|tbz2)(.\\d+)?",
    "source::....tar(.\\d+)?",
    "osx_asl",
    "anaconda_syslog",
    "source::.../(u_|)ex(tend|\\d{4,8})*?.log",
    "source::.../var/log/splunk/license_usage(|_summary).log(.\\d+)?",
    "source::.../(apache|httpd).../error*",
    "fs_notification",
    "source::.../var/log/splunk/conf.log(.\\d+)?",
    "sendmail_syslog",
    "django_error",
    "source::.../disk_objects.log(.\\d+)?",
    "source::....(css|htm|html|sgml|shtml|template)",
    "source::.../procmail(_|.)log",
    "statsd",
    "osx_monthly",
    "splunk_web_service",
    "source::.../var/log/splunk/(web|report)_access(-\\d+)?.log(.\\d+)?",
    "ruby_on_rails",
    "known_binary",
    "source::.../var/log/rpmpkgs(.\\d+)?",
    "source::.../var/log/anaconda.syslog(.\\d+)?",
    "source::.../kvstore.log(.\\d+)?",
    "source::....Z(.\\d+)?",
    "source::.../http_event_collector_metrics.log(.\\d+)?",
    "source::.../var/log/splunk/django_access.log(.\\d+)?",
    "source::....crash.log(.\\d+)?",
    "iis",
    "metrics_csv",
    "source::.../var/log/daily.out(.\\d+)?",
    "source::.../private/var/log/mail.log(.\\d+)?",
    "tsv",
    "asterisk_queue",
    "source::....csv",
    "cisco_syslog",
    "source::.../splunkd_ui_access.log(.\\d+)?",
    "source::...stash_new",
    "rule::access_combined",
    "novell_groupwise",
    "source::.../var/log/splunk/django_service.log(.\\d+)?",
    "source::.../var/log/lastlog(.\\d+)?",
    "PerformanceMonitor",
    "json_no_timestamp",
    "source::.../var/log/spooler(.\\d+)?",
    "rule::snort",
    "source::.../var/log/secure(.\\d+)?",
    "preprocess-tar",
    "source::.../var/log/splunk/btool.log(.\\d+)?",
    "postfix_syslog",
    "lastlog",
    "mysqld_bin",
    "WinRegistry",
    "splunk_help",
    "preprocess-targz",
    "osx_window_server",
    "rule::postfix_syslog",
    "splunk_web_access",
    "source::.../messages(.\\d+)?",
    "sar",
    "WinPrintMon",
    "kvstore",
    "osx_install",
    "splunkd_conf",
    "cups_error",
    "source::.../man/man\\d+/*.\\d+",
    "splunk_com_php_error",
    "source::....(tar.gz|tgz)(.\\d+)?",
    "source::....(jar)(.\\d+)?",
    "cisco_cdr",
    "csv",
    "log4j",
    "collectd_http",
    "source::.../var/log/wtmp(.\\d+)?",
    "splunkd_stderr",
    "misc_text",
    "websphere_trlog",
    "asterisk_event",
    "splunkd",
    "splunkd_remote_searches",
    "source::.../var/log/splunk/*crash-*.log",
    "windows_snare_syslog",
    "splunk_directory_monitor_misc",
    "source::.../var/log/splunk/metrics.log(.\\d+)?",
    "searches",
    "dmesg",
    "source::.../var/log/splunk/splunkd-utility.log(.\\d+)?",
    "osx_secure",
    "preprocess-zip",
    "stash",
    "rule::access_common",
    "osx_daily",
    "source::.../var/log/cups/error_log(.\\d+)?",
    "source::.../var/log/ftp.log(.\\d+)?",
    "osx_weekly",
    "source::....(?<!tar.)gz(.\\d+)?",
    "rule::sendmail_syslog",
    "spooler",
    "source::PerfmonMk...",
    "splunk_search_messages",
    "source::.../var/log/watchdog/watchdog.log(.\\d+)?",
    "source::.../var/log/splunk/search_messages.log(.\\d+)?",
    "mcollect_stash",
    "source::....(0t|a|ali|asa|au|bmp|cg|cgi|class|d|dat|deb|del|dot|dvi|dylib|elc|eps|exe|ftn|gif|hlp|hqx|hs|icns|ico|inc|iso|jame|jin|jpeg|jpg|kml|la|lhs|lib|lo|lock|mcp|mid|mp3|mpg|msf|nib|o|obj|odt|ogg|ook|opt|os|pal|pbm|pdf|pem|pgm|plo|png|po|pod|pp|ppd|ppm|ppt|prc|ps|psd|psym|pyc|pyd|p3d|rast|rb|rde|rdf|rdr|rgb|ro|rpm|rsrc|so|ss|stg|strings|tdt|tif|tiff|tk|uue|vhd|xbm|xlb|xls|xlw)",
    "search_telemetry",
    "splunk_cloud_telemetry",
]
